#include "QSARLookTableSimualtionGUI.h"
#include <QFileDialog>
#include <QDebug>
#include "ui_QSARLookTableSimualtionGUI.h"


QSARLookTableSimualtionGUI::QSARLookTableSimualtionGUI(QWidget *parent)
	: QDialog(parent)
{
	ui->setupUi(this);

	// 绑定事件
	

	connect(this->ui->OrbitBtn, SIGNAL(clicked(bool)), this, SLOT(onOrbitBtnClicked(bool)));
	connect(this->ui->DEMBtn, SIGNAL(clicked(bool)), this, SLOT(onDEMBtnClicked(bool)));
	connect(this->ui->SateParamsBtn, SIGNAL(clicked(bool)), this, SLOT(onSateParamsBtnClicked(bool)));
	connect(this->ui->IncBtn, SIGNAL(clicked(bool)), this, SLOT(onIncBtnClicked(bool)));
	connect(this->ui->LkTblBtn, SIGNAL(clicked(bool)), this, SLOT(onLkTblBtnClicked(bool)));
	
	connect(this->ui->acpRjBtn, SIGNAL(accepted()), this, SLOT(acpRjBtnAccepted()));
	connect(this->ui->acpRjBtn, SIGNAL(rejected()), this, SLOT(acpRjBtnRejected()));

}

QSARLookTableSimualtionGUI::~QSARLookTableSimualtionGUI()
{}

void QSARLookTableSimualtionGUI::onOrbitBtnClicked(bool)
{
    QString filePath = QFileDialog::getOpenFileName(
        nullptr,                     // 父窗口（无父窗口则为 nullptr）
        "选择文件",                  // 对话框标题
        QDir::homePath(),            // 默认打开的目录（这里设置为用户主目录）
        "xml (*.xml);;" 
    );

    // 检查用户是否选择了文件
    if (!filePath.isEmpty()) {
        this->ui->lineEdit_Orbit->clear();
        this->ui->lineEdit_Orbit->setText(filePath);
    }
    else {
        qDebug() << "用户取消了选择。";
    }
}

void QSARLookTableSimualtionGUI::onDEMBtnClicked(bool)
{
    QString filePath = QFileDialog::getOpenFileName(
        nullptr,                     // 父窗口（无父窗口则为 nullptr）
        "选择文件",                  // 对话框标题
        QDir::homePath(),            // 默认打开的目录（这里设置为用户主目录）
        "bin Files (*.bin);;data Files (*.dat);;tif Files (*.tif);;tiff Files (*.tiff);;All Files (*.*)"
    );

    // 检查用户是否选择了文件
    if (!filePath.isEmpty()) {
        this->ui->lineEdit_DEM->clear();
        this->ui->lineEdit_DEM->setText(filePath);
    }
    else {
        qDebug() << "用户取消了选择。";
    }
}

void QSARLookTableSimualtionGUI::onSateParamsBtnClicked(bool)
{
    QString filePath = QFileDialog::getOpenFileName(
        nullptr,                     // 父窗口（无父窗口则为 nullptr）
        "选择文件",                  // 对话框标题
        QDir::homePath(),            // 默认打开的目录（这里设置为用户主目录）
        "xml (*.xml);;"
    );

    // 检查用户是否选择了文件
    if (!filePath.isEmpty()) {
        this->ui->lineEdit_SateParams->clear();
        this->ui->lineEdit_SateParams->setText(filePath);
    }
    else {
        qDebug() << "用户取消了选择。";
    }
}

void QSARLookTableSimualtionGUI::onIncBtnClicked(bool)
{
    QString filePath = QFileDialog::getSaveFileName(
        nullptr,                     // 父窗口（无父窗口则为 nullptr）
        "选择文件",                  // 对话框标题
        QDir::homePath(),            // 默认打开的目录（这里设置为用户主目录）
        "bin Files (*.bin);;data Files (*.dat);;tif Files (*.tif);;tiff Files (*.tiff);;All Files (*.*)"
    );

    // 检查用户是否选择了文件
    if (!filePath.isEmpty()) {
        this->ui->lineEdit_Inc->clear();
        this->ui->lineEdit_Inc->setText(filePath);
    }
    else {
        qDebug() << "用户取消了选择。";
    }
}

void QSARLookTableSimualtionGUI::onLkTblBtnClicked(bool)
{
    QString filePath = QFileDialog::getSaveFileName(
        nullptr,                     // 父窗口（无父窗口则为 nullptr）
        "选择文件",                  // 对话框标题
        QDir::homePath(),            // 默认打开的目录（这里设置为用户主目录）
        "bin Files (*.bin);;data Files (*.dat);;tif Files (*.tif);;tiff Files (*.tiff);;All Files (*.*)"
    );

    // 检查用户是否选择了文件
    if (!filePath.isEmpty()) {
        this->ui->lineEdit_LkTbl->clear();
        this->ui->lineEdit_LkTbl->setText(filePath);
    }
    else {
        qDebug() << "用户取消了选择。";
    }
}

void QSARLookTableSimualtionGUI::acpRjBtnAccepted()
{





}

void QSARLookTableSimualtionGUI::acpRjBtnRejected()
{
    this->close();
}
